Package weka.gui.beans

# Interface BatchClassifierListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `ClassifierPerformanceEvaluator`, `PredictionAppender`, `SerializedModelSaver`

public interface BatchClassifierListener extends EventListener
Interface to something that can process a BatchClassifierEvent

Since:
  1.0
Version:
  $Revision: 1.2 $
Author:
  Mark Hall
See Also:
  - `EventListener`

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptClassifier(BatchClassifierEvent e)`
Accept a BatchClassifierEvent

## Method Details

### acceptClassifier

void acceptClassifier(BatchClassifierEvent e)
Accept a BatchClassifierEvent

Parameters:
  `e` - a `BatchClassifierEvent` value